@charset "UTF-8";
/**
 * ポイント交換のグリッドレイアウト用CSS
 */
.grid-container {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr;
}
@media screen and (max-width: 720px) {
  .grid-container {
    grid-template-columns: 1fr 1fr;
  }
}

.flex-wrap {
  display: flex;
  flex-flow: column;
  justify-content: space-between;
}

p.bold {
  font-weight: bold;
  font-size: small;
  padding: 0;
  padding-top: 10px;
  margin: 3px 0 3px 0;
  text-align: center;
}
p.point {
  font-size: small;
  padding: 0;
  margin: 3px 0 3px 0;
  text-align: center;
}
p.point::before {
  content: '';
  display: inline-block;
  background: url(/assets/img/header/icon_point.png);
  width: 20px;
  height: 20px;
  background-repeat: no-repeat;
  background-size: contain;
  vertical-align: middle;
}
p.small {
  font-size: small;
  padding: 0;
  margin: 3px 0 3px 0;
  text-align: center;
}

p.bold.small {
  font-size: x-small;
}

/**
 * 以下は元々twigにstyleタグで定義されていたスタイルを移植したもの
 */
.poex_button {
  border: 2px solid #2FB8BB;
  border-radius: 5px;
  padding: 6px 6px 6px 20px;
  margin-bottom: 5px;
}
.poex_button_ok {
  cursor: pointer;
}
.poex_button_ng {
  background-color: #DDDDDD;
}
.poex_button_image {
  width: 150px
}
.poex_arrow {
  text-align: right;
  color: #2FB8BB;
  font-weight: bold;
}

/**
 * 既存のpoex_buttonクラスを上書きする
 */
div.poex_button {
  padding: 10px 5px 10px 5px;
  text-align: center;
  border-radius: 10px;
  margin: 5px;
  position: relative; /* divの枠全体をリンクにするために指定する */
  display: flex; /* .exchange-item-containerの縦横中央揃え */
  justify-content: center; /* .exchange-item-containerの縦横中央揃え */
  align-items: center; /* .exchange-item-containerの縦横中央揃え */
}

/**
 * divの枠全体をリンクにするために指定する
 */
div.poex_button a {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

